package medusa.georgios.ClusteringAlgorithms;
import java.awt.Graphics;

// UPGMA clusters or trees, built by the UPGMA algorithm

class UPCluster {
  int lab;			// Cluster identifier
  int card;			// The number of sequences in the cluster
  float height;		// The height of the node
  UPCluster left, right;	// Left and right children, or null
  float[] dmat;		// Distances to lower-numbered nodes, or null

  public UPCluster(int lab, float[] dmat) {	// Leaves = single sequences
    this.lab = lab + 1; 
    card = 1;
    this.dmat = dmat;
  }

  public UPCluster(int lab, UPCluster left, UPCluster right, float height, 
		 float[] dmat) { 
    this.lab = lab + 1; 
    this.left = left;
    this.right = right;
    card = left.card + right.card;
    this.height = height;
    this.dmat = dmat;
  }

  public boolean live()
  { return dmat != null; }

  public void kill() 
  { dmat = null; }

}

